.botao-voltar {
  border: none;
  margin: 20px;
  margin-bottom: 0;
  display: flex;
  gap: 10px;
  align-items: center;
  font-size: 1.3rem;
  color: var(--cor-principal);
  cursor: pointer;
  background-color: transparent;
  width: fit-content;

  &:hover {
    color: var(--cor-principal-hover);
  }
}

#conteudo:has(#container-login) .botao-voltar {
  margin: 0;
  margin-bottom: 20px;
}

#conteudo:has(#noticia) {
  position: relative;

  .botao-voltar {
    position: absolute;
    top: 0;
    left: 0;
  }
}

section.top-bar {
  padding: 15px;
  padding-bottom: 0;

  & .botao-voltar {
    display: none;
  }
}

.barra-superior-modulo {
  display: flex;
  width: 100%;
  background-color: #fff;
  border-radius: 10px;
  overflow: hidden;
  align-items: stretch;
}

.barra-superior-modulo .botao-acesso-rapido {
  display: none;
}

.breadcrumb {
  padding: 10px 15px;
}

.explicacao-modulo {
  width: 100%;
  padding: 0 30px;
  border-radius: 10px;
  /* background-color: #00000011; */
}

#transparencia {
  & > header {
    & img {
      border-radius: 10px;
    }

    & img.transparencia-sm {
      display: none;
    }
  }

  & .secao-acessos {
    & .botoes {
      grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));

      & .botao-grande {
        display: flex;
        align-items: center;
        gap: 10px;
        box-shadow: 0 10px 10px rgba(75, 75, 75, 0.137);

        & .icone {
          font-size: 1.7rem;
        }

        & .texto {
          text-align: left;
          font-size: 1.1rem;
        }
      }
    }
  }

  & .secao-acessos {
    &:nth-child(8n + 1) {
      & * {
        color: #3355a6 !important;
      }

      & h2 {
        border-color: #3355a6;
      }

      & .botao-grande:hover {
        background-color: #e6ebff;
      }
    }

    &:nth-child(8n + 2) {
      & * {
        color: #6b8f45 !important;
      }

      & h2 {
        border-color: #6b8f45;
      }

      & .botao-grande:hover {
        background-color: #f0f8e8;
      }
    }

    &:nth-child(8n + 3) {
      & * {
        color: #b06fb0 !important;
      }

      & h2 {
        border-color: #b06fb0;
      }

      & .botao-grande:hover {
        background-color: #f8eef8;
      }
    }

    &:nth-child(8n + 4) {
      & * {
        color: #b68e25 !important;
      }

      & h2 {
        border-color: #b68e25;
      }

      & .botao-grande:hover {
        background-color: #fff9e1;
      }
    }

    &:nth-child(8n + 5) {
      & * {
        color: #993b22 !important;
      }

      & h2 {
        border-color: #993b22;
      }

      & .botao-grande:hover {
        background-color: #ffe7e0;
      }
    }

    &:nth-child(8n + 6) {
      & * {
        color: #8656b0 !important;
      }

      & h2 {
        border-color: #8656b0;
      }

      & .botao-grande:hover {
        background-color: #f0e8ff;
      }
    }

    &:nth-child(8n + 7) {
      & * {
        color: #54566b !important;
      }

      & h2 {
        border-color: #54566b;
      }

      & .botao-grande:hover {
        background-color: #e5e8ef;
      }
    }

    &:nth-child(8n) {
      & * {
        color: #402310 !important;
      }

      & h2 {
        border-color: #402310;
      }

      & .botao-grande:hover {
        background-color: #f4e0d1;
      }
    }
  }
}

#contatos {
  & .info {
    display: flex;
    flex-wrap: wrap;
    gap: 15px;

    & .card {
      flex: 1;
      flex-basis: 250px;

      display: flex;
      flex-direction: column;
      gap: 30px;
      min-height: 100%;

      background-color: #fff;
      border-radius: 10px;
      padding: 50px 30px;
      box-shadow: var(--shadow);

      & .icone {
        text-align: center;
        font-size: 5rem;
        color: var(--cor-secundaria);
      }

      & .title {
        & h3 {
          text-align: center;
          font-size: 2rem;
          border-color: var(--cor-cinza);
          padding-left: 0;
          padding-bottom: 10px;
        }
      }
      & .dados * {
        text-align: center;
      }
    }
  }

  & .localizacao {
    height: 500px;
    padding: 10px;
    border-radius: 10px;
    box-shadow: var(--shadow);
    background-color: #fff;

    & iframe {
      width: 100%;
      height: 100%;
      border: none;
      border-radius: 10px;
    }
  }
}

main .conteudo {
  & > section,
  header,
  .conteudo-modulo {
    display: flex;
    flex-direction: column;
    gap: 30px;
  }

  & > section.middle {
    padding: 15px;
  }
}

.filtro {
  display: flex;
  padding: 15px;
  gap: 30px;
  background-color: #fff;
  border-radius: 10px;
  flex-wrap: wrap;
}

.filtro .field {
  display: flex;
  flex-direction: column;
  flex: 1 1 200px;
}

#termos-de-uso,
#politicas-de-privacidade,
#lgpd {
  & .info {
    border-radius: 10px;
    background-color: #fff;
    padding: 35px;
    display: flex;
    flex-direction: column;
    gap: 35px;

    & > section {
      display: flex;
      flex-direction: column;
      gap: 10px;

      &:not(:first-child) {
        border-top: 2px solid var(--cor-cinza);
        padding-top: 35px;
      }

      & h2 {
        margin-bottom: 20px;
        border: none;
        padding-left: 0;
      }

      & p {
        margin: 0;
        font-size: 1.2rem;
      }

      & ul {
        list-style-type: disc;
        padding-left: 25px;

        & li {
          font-size: 1.2rem;

          &:not(:last-child) {
            margin-bottom: 10px;
          }
        }
      }
    }
  }
}

@media only screen and (max-width: 1024px) {
  main .conteudo {
    & > section,
    header,
    .conteudo-modulo {
      display: flex;
      flex-direction: column;
      gap: 30px;
    }

    & > section.middle {
      padding: 15px;
    }
  }

  #conteudo:has(section.top-bar) .botao-voltar {
    display: none;
  }

  section.top-bar {
    padding: 0;
    gap: 0 !important;
    margin-bottom: 30px;

    & .botao-voltar {
      display: flex !important;
    }
  }

  .barra-superior-modulo {
    display: flex;
    width: 100%;
    /* background-color: #fff; */
    background-color: var(--cor-secundaria);
    border-radius: 0px;
    overflow: hidden;
    align-items: stretch;
    color: #fff !important;
  }

  .breadcrumb {
    padding: 10px 15px;
  }

  .barra-superior-modulo .botao-acesso-rapido {
    display: flex;
    flex-shrink: 1;
    padding: 0 20px;
    font-size: 1.2rem;
    align-items: center;
    justify-content: center;
    text-align: center;
    background-color: var(--cor-secundaria);
    color: white !important;
    border: none;

    &:hover {
      background-color: var(--cor-secundaria-hover);
    }
  }
}

@media only screen and (max-width: 768px) {
  #transparencia {
    & > header {
      & img.transparencia-lg {
        display: none;
      }

      & img.transparencia-sm {
        display: block;
      }
    }
  }
}

@media only screen and (max-width: 480px) {
}
